#!/bin/bash
# Setup file for FPad. It also optimizes the  Fpad installation
# More details: Look at HepSim database
# S.Chekanov (ANL)

CFILE="./fpad"

export FPADSOFT=`pwd`
if [ ! -f $CFILE ];
then
   export FPADSOFT="$( cd "$( echo "${BASH_SOURCE[0]%/*}" )" && pwd )"
fi

CACHE="${FPADSOFT}/lib/jython/cachedir/packages"
if [ -d $CACHE ];
then

# setup hepsim
source ${FPADSOFT}/lib/physics/setup.sh

# this is for first-time installation
else



if which java >/dev/null; then
    _java=java
elif [[ -n "$JAVA_HOME" ]] && [[ -x "$JAVA_HOME/bin/java" ]];  then
    _java="$JAVA_HOME/bin/java"
else
    echo "No java detected! Please install it from https://java.com/download"; exit 0
fi

if [[ "$_java" ]]; then
    version=$("$_java" -version 2>&1 | awk -F '"' '/version/ {print $2}')
    if [[ "$version" < "1.7" ]]; then
        echo "Java version is less than 1.7. Please update it."; exit 0;
    fi
fi


echo "Wait.. first-time optimization of Java packages for Jython"
${FPADSOFT}/fpad optimize.py
echo "FPad is ready."

# setup hepsim
source ${FPADSOFT}/lib/physics/setup.sh


fi
